##DarDists: rhfc1
# DarTag: test

Summary: The boot loader for Linux and other operating systems.
Name: lilo
Version: 22.5
Release: 1.test
Exclusivearch: i386
License: MIT
Group: System Environment/Base
URL: http://home.san.rr.com/johninsd/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://brun.dyndns.org/pub/linux/lilo/%{name}-%{version}.tar.gz
Source2: keytab-lilo.c
Patch0: lilo-22.5-lvm.patch
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: tetex-latex, fileutils, tetex-dvips
%{!?rhfc1:BuildRequires: dev86}
Requires: mkinitrd >= 3.4.7
Prereq: /sbin/grubby

%description
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive,
boots the kernel and passes control of the system to the kernel.  LILO
can also boot other operating systems.

%prep
%setup
%patch0 -b .lvm

%build
%{__make} %{?_smp_mflags}
${CC:-gcc} %{optflags} -o keytab-lilo %{SOURCE2}
%{__make} %{?_smp_mflags} -C doc || :
dvips doc/user.dvi -o doc/User_Guide.ps
dvips doc/tech.dvi -o doc/Technical_Guide.ps
%{__rm} -f doc/*.aux doc/*.log doc/*.toc

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_mandir}
%makeinstall \
	ROOT="%{buildroot}" \
	MAN_DIR="%{_mandir}"
%{__mv} -f %{buildroot}%{_sbindir} %{buildroot}%{_bindir}
%{__install} -m0755 keytab-lilo %{buildroot}%{_bindir}

# remove unpackaged file from the buildroot
%{__rm} -f %{buildroot}%{_bindir}/keytab-lilo.pl

%post
if [ -f /etc/lilo.conf ]; then
    inst=$(/sbin/grubby --bootloader-probe | grep lilo)
    if [ -n "$inst" ]; then
        /sbin/lilo > /dev/null
    fi
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES COPYING INCOMPAT QuickInst README doc/
%doc %{_mandir}/man?/*
%{_bindir}/*
/boot/*
/sbin/*

%changelog
* Sun Nov 16 2003 Dag Wieers <dag@wieers.com> - 22.5-1
- Added LVM /boot patch.

* Wed Mar 12 2003 Dag Wieers <dag@wieers.com> - 22.5-0
- Initial package. (using DAR)
